aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.AddUserToGroup

Synopsis

- data AddUserToGroup = AddUserToGroup {
  - autgGroupName :: Text
  - autgUserName :: Text
  }
- data AddUserToGroupResponse = AddUserToGroupResponse

# Documentation

data AddUserToGroup #

Adds the specified user to the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_AddUserToGroup.html

Constructors

AddUserToGroup |

Fields

- autgGroupName :: Text

  Name of the group to update.

- autgUserName :: Text

  The of the user to add.

#### Instances

Instances details

SignQuery AddUserToGroup # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ServiceConfiguration AddUserToGroup |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration

Methods

signQuery :: AddUserToGroup -> ServiceConfiguration AddUserToGroup queryType -> SignatureData -> SignedQuery #

Show AddUserToGroup # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods showsPrec :: Int -> AddUserToGroup -> ShowS # show :: AddUserToGroup -> String # showList :: [AddUserToGroup] -> ShowS #
Eq AddUserToGroup # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods (==) :: AddUserToGroup -> AddUserToGroup -> Bool # (/=) :: AddUserToGroup -> AddUserToGroup -> Bool #
Ord AddUserToGroup # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Methods

compare :: AddUserToGroup -> AddUserToGroup -> Ordering #

(<) :: AddUserToGroup -> AddUserToGroup -> Bool #

(<=) :: AddUserToGroup -> AddUserToGroup -> Bool #

(>) :: AddUserToGroup -> AddUserToGroup -> Bool #

(>=) :: AddUserToGroup -> AddUserToGroup -> Bool #

max :: AddUserToGroup -> AddUserToGroup -> AddUserToGroup #

min :: AddUserToGroup -> AddUserToGroup -> AddUserToGroup #

ResponseConsumer AddUserToGroup AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ResponseMetadata AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> AddUserToGroup -> IORef (ResponseMetadata AddUserToGroupResponse) -> HTTPResponseConsumer AddUserToGroupResponse #

Transaction AddUserToGroup AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
type ServiceConfiguration AddUserToGroup # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration

data AddUserToGroupResponse #

Constructors

AddUserToGroupResponse |

#### Instances

Instances details

AsMemoryResponse AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type MemoryResponse AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse

Methods

loadToMemory :: AddUserToGroupResponse -> ResourceT IO (MemoryResponse AddUserToGroupResponse) #

Show AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods showsPrec :: Int -> AddUserToGroupResponse -> ShowS # show :: AddUserToGroupResponse -> String # showList :: [AddUserToGroupResponse] -> ShowS #
Eq AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup Methods (==) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool # (/=) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool #
Ord AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Methods

compare :: AddUserToGroupResponse -> AddUserToGroupResponse -> Ordering #

(<) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool #

(<=) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool #

(>) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool #

(>=) :: AddUserToGroupResponse -> AddUserToGroupResponse -> Bool #

max :: AddUserToGroupResponse -> AddUserToGroupResponse -> AddUserToGroupResponse #

min :: AddUserToGroupResponse -> AddUserToGroupResponse -> AddUserToGroupResponse #

ResponseConsumer AddUserToGroup AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ResponseMetadata AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> AddUserToGroup -> IORef (ResponseMetadata AddUserToGroupResponse) -> HTTPResponseConsumer AddUserToGroupResponse #

Transaction AddUserToGroup AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
type MemoryResponse AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse
type ResponseMetadata AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata